Subject: Re: [PATCH] bridge: assign random address

From: Jeff Garzik <[email-masked]>
Date: Sun, 16 Dec 2007 20:46:24 -0500

David Miller wrote:
> From: Andrew Morton <[email-masked]>
> Date: Sun, 16 Dec 2007 14:29:15 -0800
> 
>> On Sun, 16 Dec 2007 13:37:17 -0800 (PST) David Miller <[email-masked]> wrote:
>>
>>> From: Stephen Hemminger <[email-masked]>
>>> Date: Tue, 11 Dec 2007 15:48:35 -0800
>>>
>>>> Subject: Re: [PATCH] bridge: assign random address
>>> "bridge" should all-caps and in brackets,
>> No, "bridge" should not be in [].  Lots of people's patch-receiving scripts
>> assume that any text in [] is to be removed as the patch is committed.  It
>> contains text which is only relevant to the particular email which carried
>> the patch.  Stuff like "patch" and "4/5" and "linux-2.6.23", etc.
> 
> I don't use scripts, I edit it by hand.  And when I do ever use
> scripts I will make sure they accomodate "[$SUBSYSTEM]" format
> subject lines, you can be sure.
> 
> And you can even make those scripts happy by doing:
> 
> [Patch 1/7] [SUBSYSTEM]: Foo bar baz...

The most popular tool is git-am, which I and many others use.

git-am will snip "[SUBSYSTEM]" in the example that you give.

Until Linus's official mail import tool (git-am) changes, I agree with 
Andrew -- since Andrew is simply describing the de facto standard as it 
exists today:  [] gets eaten.

That's why documentation like Documentation/SubmittingPatches and 
http://linux.yyz.us/patch-format.html indicate "subsystem: " rather than 
"[SUBSYSTEM]":  it's compatible with Linus's widely used mail import tool.

	Jeff